# Add the local directory to the library path
libdir = File.dirname(__FILE__)
$LOAD_PATH.unshift(libdir) unless $LOAD_PATH.include?(libdir)
require 'LuxSciConfig'

# Read the profile from a file for some user and upload it
user='rbalest@luxsci.com'
pass=nil

begin
  url = LuxSci::API::URI("/user/%s/profile" % user)

  # Load profile from previous call to GET_profile.rb
  payload = LuxSci::Payload.load_json("profile.json")

  # Update it
  profile = payload.content
  profile["city"] = "Pittsburgh"

  response = LuxSci::API::sign(user,pass) {
    RestClient.put url, profile.to_json, {content_type: :json, accept: :json}
  }
  print "Response: %s\n" % response

rescue RestClient::Exception => e
  print "Got exception with status: %d\n" % e.response.code
  print "%s\n" % e.response
end
